---
title: "angleToMatchLengthX"
excerpt: "Returns the angle to match the given length for x."
layout: manual
---

Returns the angle to match the given length for x.



```js
angleToMatchLengthX(tag: TagIdentifier, to: number, sketch: Sketch) -> number
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `tag` | [`TagIdentifier`](/docs/kcl/types#tag-identifier) |  | Yes |
| `to` | `number` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [2, 5], tag = $seg01)
  |> angledLineToX([-angleToMatchLengthX(seg01, 7, %), 10], %)
  |> close()

extrusion = extrude(sketch001, length = 5)
```

![Rendered example of angleToMatchLengthX 0](data:image/png;base64,[encoded data, 79964 characters])


